Форум

ubuntu 14.04 64bit don't work (league of legends)

components doesn't install

Автор Replies
eimantasks Tuesday 12 August 2014 at 11:05
eimantasksAnonymous

SO I have ubuntu 14.04 64bit installed and I just downloaded POL 4.2.4 I wanted to install LOL firs phase of installation went flawlesly, but when I tried to install additional components for example adobe air it downloads and after that window closes, every time I've tried installation window closed after download is finnished, same thin is with vcrun2005-2008, mscorefonts.. pol automatically isntalle x86 bit version of wine.

here's a video what I'm dealing with http://youtu.be/yRPhac2msrg

 

Edited by eimantasks

petch Tuesday 12 August 2014 at 11:27
petch
Developer

Hi,

You mean you tried to manually add AdobeAir component to LoL virtual drive? What for?

eimantasks Tuesday 12 August 2014 at 11:39
eimantasksAnonymous

I tried to install it throug "install components" section, because.. these components are needed to run lol 

on ubuntu 32 bit. I've always installed these  additionaly:

  1. winetricks vcrun2005
  2. winetricks ie8
  3. winetricks wininet
  4. winetricks d3dx9
  5. winetricks corefonts
  6. winetricks adobeair

othervise lol won't start at all. but after switching to ubuntu 64bit. I can't install any of these. After downlaod is complete the window just disappears. 

petch Tuesday 12 August 2014 at 12:52
petch
Developer

Did you use League of Legends install script? It does that for you already.

And yes, many components do not install in 64bit Wine.

Edited by petch

eimantasks Tuesday 12 August 2014 at 14:36
eimantasksAnonymous

I installed just like in this guide, except that part with TuxLol, the only difference is that I tried to install additional components because the game is not starting

petch Tuesday 12 August 2014 at 15:21
petch
Developer

Use of TuxLoL is deprecated, and the install script (which is what is used at the beginning of this guide) installs the required components already.

So if it doesn't work it's most likely something else.

(I'm not sure what this 64bit virtual drive comes from, the script explicitly creates a 32bit virtual drive)

Edited by petch

eimantasks Tuesday 12 August 2014 at 15:37
eimantasksAnonymous

Thank you for replying to my nooby posts, Lol launched succesfully and is updating right now, problem was in my opengl libraries, I've installed latest fglrx x86_64 drivers from amd website and it just launched! I don't know if it will work though, but it is sending updates, that's a good sign!

 

btw, I don't need to apply tuxlol patch here?

Edited by eimantasks

petch Tuesday 12 August 2014 at 16:18
petch
Developer

btw, I don't need to apply tuxlol patch here?

Script now uses a Wine version that uses the patch mentionned in https://github.com/A-Metaphysical-Drama/LoL-Linux-Tools that makes TuxLoL unnecessary

eimantasks Tuesday 12 August 2014 at 17:11
eimantasksAnonymous

well it doesn't work

 

and

and

 

video here

Edited by eimantasks

Вы находитесь здесь: Index > PlayOnLinux > ubuntu 14.04 64bit don't work (league of legends)